Attribute VB_Name = "Setup"
Option Explicit


'----------------------------------------------------------
'pri otevreni okna
'----------------------------------------------------------

Public Sub DoSetup()

    Form1.TxtSetCesta = CestaSoubory

End Sub


'----------------------------------------------------------
'zmena hesla
'----------------------------------------------------------

Public Sub NoveHeslo(ind As Integer)

    Dim Stav As Integer

    If (Form1.TxtSetNHeslo(ind).Text = Form1.TxtSetNHeslo2(ind).Text) Then
        
        HesloSpravce = Form1.TxtSetNHeslo(ind).Text
        Form1.TxtSetNHeslo(ind).Text = ""
        Form1.TxtSetNHeslo2(ind).Text = ""
        MsgBox "Heslo úspěšně změněno"
    
        Stav = WritePrivateProfileString _
            ("Spravce", "Heslo", Krypt(HesloSpravce), (CestaSoubory & "\RDSEdit.ini"))
            
    Else:
        MsgBox "Chyba v hesle"
        Form1.TxtSetNHeslo(ind).Text = ""
        Form1.TxtSetNHeslo2(ind).Text = ""
    End If

End Sub

